'use strict';
jQuery(document).ready(function ($) {
    let isIE = /*@cc_on!@*/false || !!document.documentMode;
    if (!isIE) {
        popup_hide();
        delay_show_modal();
        init_button();
        $(document).on('keypress', function (e) {
            if ($('#vi-md_wcb').hasClass('wcb-md-show') && !$('#vi-md_wcb').hasClass('wcb-collapse-after-close') && e.keyCode === 13) {
                $('.wcb-button').click();
            }
        })
        $('.wcb-email').on('keypress', function (e) {
            $('#vi-md_wcb').find('.wcb-warning-message-wrap').css({'visibility': 'hidden', 'opacity': 0});
        });
        $('#vi-md_wcb').find('input').on('click', function () {
            $('#vi-md_wcb').find('.wcb-warning-message-wrap').css({'visibility': 'hidden', 'opacity': 0});
        });
        $('.wcb-gdpr-checkbox').on('click', function () {
            if ($(this).prop('checked')) {
                $(this).removeClass('wcb-warning-checkbox');
            } else {
                $(this).addClass('wcb-warning-checkbox');
            }
        });
        callCouponBoxAgain();
        $('.wcb-coupon-box-small-icon-close').on('click', function (e) {
            e.stopPropagation();
            if (wcb_params.wcb_popup_position === 'left') {
                $('.wcb-coupon-box-small-icon-wrap').addClass('wcb-coupon-box-small-icon-hide-left');
            } else {
                $('.wcb-coupon-box-small-icon-wrap').addClass('wcb-coupon-box-small-icon-hide-right');
            }
            var currentTime = parseInt(wcb_params.wcb_current_time),
                wcb_expire = currentTime + parseInt(wcb_params.wcb_expire);
            setCookie('woo_coupon_box', 'closed:' + currentTime, wcb_expire);
        })
        var prevScrollpos = jQuery('html').prop('scrollTop') || jQuery('body').prop('scrollTop');
        window.onscroll = function () {
            if (wcb_params.wcb_on_close == 'top') {
                if ($('#vi-md_wcb').hasClass('wcb-collapse-after-close')) {
                    var currentScrollPos = jQuery('html').prop('scrollTop') || jQuery('body').prop('scrollTop');
                    if (prevScrollpos < currentScrollPos) {
                        $('.wcb-collapse-top').css({'top': 0})
                    } else {
                        $('.wcb-collapse-top').css({'top': '-' + $('.wcb-collapse-top').css('height')})
                    }
                    prevScrollpos = currentScrollPos;
                }
            } else if (wcb_params.wcb_on_close == 'bottom') {

                if ($('#vi-md_wcb').hasClass('wcb-collapse-after-close')) {
                    var currentScrollPos = jQuery('html').prop('scrollTop') || jQuery('body').prop('scrollTop');
                    if (prevScrollpos > currentScrollPos) {
                        $('.wcb-collapse-bottom').css({'bottom': 0})
                    } else {
                        $('.wcb-collapse-bottom').css({'bottom': '-' + $('.wcb-collapse-bottom').css('height')})
                    }
                    prevScrollpos = currentScrollPos;
                }
            }
        }
    }
});

function callCouponBoxAgain() {
    jQuery('.wcb-coupon-box-small-icon-wrap').on('click', function () {
        addEffect();
        if (wcb_params.wcb_popup_type && !jQuery('#vi-md_wcb').hasClass(wcb_params.wcb_popup_type)) {
            jQuery('#vi-md_wcb').addClass(wcb_params.wcb_popup_type);
        }
        jQuery(document).on('keyup', closeOnEsc);
        jQuery('#vi-md_wcb').addClass('wcb-md-show');
        jQuery('html').addClass('wcb-html-scroll');
        if (wcb_params.wcb_popup_position == 'left') {
            jQuery(this).addClass('wcb-coupon-box-small-icon-hide-left');
        } else {
            jQuery(this).addClass('wcb-coupon-box-small-icon-hide-right');
        }
    })
}

function addEffect() {
    // start up leaf scene
    var xr1 = jQuery('.wcb-md-overlay').attr('class').split(' ');
    if (xr1[1]) {
        var leafContainer, leaves;
        switch (xr1[1]) {
            case 'wcb-falling-leaves':
                leafContainer = document.querySelector('.wcb-falling-leaves');
                leaves = new LeafScene(leafContainer);
                leaves.init();
                leaves.render();
                jQuery('.wcb-leaf-scene div').attr('class', 'wcb-falling-leaves-leaves');
                break;
            case 'wcb-falling-leaves-1':
                leafContainer = document.querySelector('.wcb-falling-leaves-1');
                leaves = new LeafScene(leafContainer);
                leaves.init();
                leaves.render();
                jQuery('.wcb-leaf-scene div').attr('class', 'wcb-falling-leaves-leaves-1');

                break;
            case 'wcb-falling-heart':
                leafContainer = document.querySelector('.wcb-falling-heart');
                leaves = new LeafScene(leafContainer);
                leaves.init();
                leaves.render();
                jQuery('.wcb-leaf-scene div').attr('class', 'wcb-falling-leaves-heart');

                break;
        }
    }
}

function popup_hide() {

    jQuery('.wcb-md-close').on('click', function () {
        jQuery('#vi-md_wcb').find('.wcb-warning-message').html('');
        jQuery('#vi-md_wcb').find('.wcb-warning-message-wrap').css({'visibility': 'hidden', 'opacity': 0});
        if (!jQuery('#vi-md_wcb').hasClass('wcb-subscribed')) {
            switch (wcb_params.wcb_on_close) {
                case 'top':
                    if (jQuery('#vi-md_wcb').hasClass('wcb-collapse-after-close')) {
                        /*Popup icons to call coupon box again*/
                        if (wcb_params.wcb_popup_position == 'left') {
                            jQuery('.wcb-coupon-box-small-icon-wrap').removeClass('wcb-coupon-box-small-icon-hide-left');
                        } else {
                            jQuery('.wcb-coupon-box-small-icon-wrap').removeClass('wcb-coupon-box-small-icon-hide-right');
                        }

                        jQuery('#vi-md_wcb').removeClass('wcb-md-show').removeClass('wcb-collapse-after-close').removeClass('wcb-collapse-top');
                        if (wcb_params.wcb_popup_type && !jQuery('#vi-md_wcb').hasClass(wcb_params.wcb_popup_type)) {
                            setTimeout(function () {
                                jQuery('#vi-md_wcb').addClass(wcb_params.wcb_popup_type);
                            }, 300)
                        }
                        var addedStyle = jQuery('#vi-md_wcb').attr('style') ? jQuery('#vi-md_wcb').attr('style') : '';
                        if (addedStyle.length) {
                            var arr = addedStyle.split(';');
                            for (var i = 0; i < arr.length; i++) {
                                if (arr[i].length) {
                                    var arr1 = arr[i].split(':');
                                    if (arr1[0] === 'top') {
                                        arr.splice(i, 1);
                                    }
                                }
                            }
                            addedStyle = arr.join(';');
                            jQuery('#vi-md_wcb').attr('style', addedStyle);
                        }
                    } else {
                        jQuery('#vi-md_wcb').addClass('wcb-collapse-after-close').addClass('wcb-collapse-top');
                        jQuery('html').removeClass('wcb-html-scroll');
                        var xr = jQuery('.wcb-md-overlay').attr('class').split(' ');
                        if (xr.length > 1) {
                            jQuery('.wcb-md-overlay').removeClass(xr[1]).html('').addClass(xr[1]);
                        }
                        if (wcb_params.wcb_popup_type && jQuery('#vi-md_wcb').hasClass(wcb_params.wcb_popup_type)) {
                            jQuery('#vi-md_wcb').removeClass(wcb_params.wcb_popup_type);
                        }
                    }
                    break;
                case 'bottom':
                    if (jQuery('#vi-md_wcb').hasClass('wcb-collapse-after-close')) {
                        /*Popup icons to call coupon box again*/
                        if (wcb_params.wcb_popup_position == 'left') {
                            jQuery('.wcb-coupon-box-small-icon-wrap').removeClass('wcb-coupon-box-small-icon-hide-left');
                        } else {
                            jQuery('.wcb-coupon-box-small-icon-wrap').removeClass('wcb-coupon-box-small-icon-hide-right');
                        }

                        jQuery('#vi-md_wcb').removeClass('wcb-md-show').removeClass('wcb-collapse-after-close').removeClass('wcb-collapse-bottom');
                        if (wcb_params.wcb_popup_type && !jQuery('#vi-md_wcb').hasClass(wcb_params.wcb_popup_type)) {
                            setTimeout(function () {
                                jQuery('#vi-md_wcb').addClass(wcb_params.wcb_popup_type);
                            }, 300)
                        }
                        var addedStyle = jQuery('#vi-md_wcb').attr('style') ? jQuery('#vi-md_wcb').attr('style') : '';
                        if (addedStyle.length) {
                            var arr = addedStyle.split(';');
                            for (var i = 0; i < arr.length; i++) {
                                if (arr[i].length) {
                                    var arr1 = arr[i].split(':');
                                    if (arr1[0] === 'bottom') {
                                        arr.splice(i, 1);
                                    }
                                }
                            }
                            addedStyle = arr.join(';');
                            jQuery('#vi-md_wcb').attr('style', addedStyle);
                        }
                    } else {
                        jQuery('#vi-md_wcb').addClass('wcb-collapse-after-close').addClass('wcb-collapse-bottom');
                        jQuery('html').removeClass('wcb-html-scroll');
                        var xr = jQuery('.wcb-md-overlay').attr('class').split(' ');
                        if (xr.length > 1) {
                            jQuery('.wcb-md-overlay').removeClass(xr[1]).html('').addClass(xr[1]);
                        }
                        if (wcb_params.wcb_popup_type && jQuery('#vi-md_wcb').hasClass(wcb_params.wcb_popup_type)) {
                            jQuery('#vi-md_wcb').removeClass(wcb_params.wcb_popup_type);
                        }
                    }
                    break;
                default:
                    /*Popup icons to call coupon box again*/
                    if (wcb_params.wcb_popup_position == 'left') {
                        jQuery('.wcb-coupon-box-small-icon-wrap').removeClass('wcb-coupon-box-small-icon-hide-left');
                    } else {
                        jQuery('.wcb-coupon-box-small-icon-wrap').removeClass('wcb-coupon-box-small-icon-hide-right');
                    }

                    jQuery('#vi-md_wcb').removeClass('wcb-md-show');
                    jQuery('html').removeClass('wcb-html-scroll');
                    var xr = jQuery('.wcb-md-overlay').attr('class').split(' ');
                    if (xr.length > 1) {
                        jQuery('.wcb-md-overlay').removeClass(xr[1]).html('').addClass(xr[1]);
                    }
            }
        } else {
            jQuery('#vi-md_wcb').removeClass('wcb-md-show');
            jQuery('html').removeClass('wcb-html-scroll');
            var xr = jQuery('.wcb-md-overlay').attr('class').split(' ');
            if (xr.length > 1) {
                jQuery('.wcb-md-overlay').removeClass(xr[1]).html('').addClass(xr[1]);
            }
        }
        jQuery(document).unbind('keyup', closeOnEsc);

    });
    jQuery('.wcb-md-overlay').on('click', function () {
        jQuery('.wcb-md-close').click();
    });
}

function closeOnEsc(e) {
    if (jQuery('#vi-md_wcb').hasClass('wcb-md-show') && e.keyCode === 27) {
        jQuery('.wcb-md-close').click();
    }
}

function isValidEmailAddress(emailAddress) {
    var pattern = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/i;
    return pattern.test(emailAddress);
}

function init_button() {
    var container = jQuery('#vi-md_wcb');
    container.find('.wcb-button').unbind('click').on('click', function () {
        var email = container.find('.wcb-email').val(),
            wcb_input_name = container.find('.wcb-input-name').val(),
            wcb_input_lname = container.find('.wcb-input-lname').val(),
            wcb_input_mobile = container.find('.wcb-input-mobile').val(),
            wcb_input_birthday = container.find('.wcb-input-birthday').val(),
            wcb_input_gender = container.find('.wcb-input-gender').val(),
            button = jQuery(this);
        container.find('.wcb-email').removeClass('wcb-invalid-email');
        container.find('.wcb-warning-message-wrap').css({'visibility': 'hidden', 'opacity': 0});
        container.find('.wcb-gdpr-checkbox').removeClass('wcb-warning-checkbox');
        if (!container.hasClass('wcb-collapse-after-close')) {
            if (wcb_params.wcb_input_name == 1 && wcb_params.wcb_input_name_required == 1 && !wcb_input_name) {
                container.find('.wcb-input-name').addClass('wcb-invalid-email').focus();
                return false;
            } else {
                container.find('.wcb-input-name').removeClass('wcb-invalid-email');
            }
            if (wcb_params.wcb_input_lname == 1 && wcb_params.wcb_input_lname_required == 1 && !wcb_input_lname) {
                container.find('.wcb-input-lname').addClass('wcb-invalid-email').focus();
                return false;
            } else {
                container.find('.wcb-input-lname').removeClass('wcb-invalid-email');
            }
            if (wcb_params.wcb_input_mobile == 1 && wcb_params.wcb_input_mobile_required == 1 && !wcb_input_mobile) {
                container.find('.wcb-input-mobile').addClass('wcb-invalid-email').focus();
                return false;
            } else {
                container.find('.wcb-input-mobile').removeClass('wcb-invalid-email');
            }
            if (wcb_params.wcb_input_birthday == 1 && wcb_params.wcb_input_birthday_required == 1 && !wcb_input_birthday) {
                container.find('.wcb-input-birthday').addClass('wcb-invalid-email').focus();
                return false;
            } else {
                container.find('.wcb-input-birthday').removeClass('wcb-invalid-email');
            }
            if (wcb_params.wcb_input_gender == 1 && wcb_params.wcb_input_gender_required == 1 && !wcb_input_gender) {
                container.find('.wcb-input-gender').addClass('wcb-invalid-email').focus();
                return false;
            } else {
                container.find('.wcb-input-gender').removeClass('wcb-invalid-email');
            }
        }

        if (isValidEmailAddress(email)) {
            if (wcb_params.wcb_gdpr_checkbox && container.find('.wcb-gdpr-checkbox').prop('checked') !== true) {
                container.find('.wcb-gdpr-checkbox').addClass('wcb-warning-checkbox').focus();
                return false;
            }
            container.find('.wcb-email').removeClass('wcb-invalid-email');
            button.addClass('wcb-adding');
            button.unbind();

            jQuery.ajax({
                type: 'POST',
                dataType: 'json',
                url: wcb_params.ajaxurl,
                data: {
                    email: email,
                    wcb_input_name: wcb_input_name,
                    wcb_input_lname: wcb_input_lname,
                    wcb_input_mobile: wcb_input_mobile,
                    wcb_input_birthday: wcb_input_birthday,
                    wcb_input_gender: wcb_input_gender,
                },
                success: function (response) {
                    button.removeClass('wcb-adding');
                    if (response.status === 'subscribed') {
                        if (wcb_params.wcb_layout != 3) {
                            container.find('.wcb-coupon-box-title').html(wcb_params.wcb_title_after_subscribing);
                        } else {
                            container.find('.wcb-coupon-box-title').html('').hide();
                        }
                        if (container.hasClass('wcb-collapse-after-close')) {
                            if (wcb_params.wcb_show_coupon && response.code) {
                                container.find('.wcb-coupon-content').html(response.code).css({'width': '40%'});
                                container.find('.wcb-coupon-treasure').focus(function () {
                                    jQuery(this).select();
                                });
                            } else {
                                container.find('.wcb-coupon-message').css({'width': '90%'});
                            }
                            container.find('.wcb-coupon-box-newsletter').hide();
                            container.find('.wcb-coupon-message').html(response.message);
                        } else {
                            if (wcb_params.wcb_show_coupon && response.code) {
                                container.find('.wcb-coupon-content').html(response.code);
                                container.find('.wcb-coupon-treasure').focus(function () {
                                    jQuery(this).select();
                                });
                            }
                            container.find('.wcb-coupon-box-newsletter').html(response.thankyou);
                            container.find('.wcb-coupon-message').html(response.message);
                        }
                        container.addClass('wcb-subscribed');
                        var currentTime = parseInt(wcb_params.wcb_current_time),
                            wcb_expire_subscribed = currentTime + parseInt(wcb_params.wcb_expire_subscribed);
                        setCookie('woo_coupon_box', 'subscribed:' + currentTime, wcb_expire_subscribed);
                    } else {
                        container.find('.wcb-warning-message').html(response.warning);
                        container.find('.wcb-warning-message-wrap').css({'visibility': 'visible', 'opacity': 1});
                        container.find('.wcb-email').addClass('wcb-invalid-email').focus();
                        init_button();
                    }
                },
                error: function (data) {
                    button.removeClass('wcb-adding');
                    init_button();
                    setCookie('woo_coupon_box', '', -1);
                }
            });
        } else {
            if (!email) {
                container.find('.wcb-warning-message').html(wcb_params.wcb_empty_email_warning);
                container.find('.wcb-warning-message-wrap').css({'visibility': 'visible', 'opacity': 1});
            } else {
                container.find('.wcb-warning-message').html(wcb_params.wcb_invalid_email_warning);
                container.find('.wcb-warning-message-wrap').css({'visibility': 'visible', 'opacity': 1});
            }
            container.find('.wcb-email').addClass('wcb-invalid-email').focus();
            button.removeClass('wcb-adding');
        }
    })
}


/**
 * Set Cookie
 * @param name
 * @param value
 * @param exdays
 */

function setCookie(cname, cvalue, expire, path, domain) {
    if (!path) {
        path = '/';
    }
    domain = domain || "";
    var d = new Date(expire * 1000);
    var expires = "expires=" + d.toUTCString();
    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=" + path + ";domain=" + domain;
}

/**
 * Set Cookie
 * @param cname
 * @returns {*}
 */
function getCookie(cname) {
    var name = cname + "=";
    var ca = document.cookie.split(';');
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') c = c.substring(1);
        if (c.indexOf(name) == 0) return c.substring(name.length, c.length);
    }
    return "";
}

function delay_show_modal() {
    if (!getCookie('woo_coupon_box') && !jQuery('#vi-md_wcb').hasClass('wcb-md-show')) {

        switch (wcb_params.wcb_select_popup) {
            case 'time':
                setTimeout(function () {
                    couponBoxShow();
                }, wcb_params.wcb_popup_time * 1000);
                break;
            case 'scroll':
                var htmlHeight, scrollHeight, scrollTop, scrollRate;
                jQuery(document).on('scroll', function () {
                    if (!getCookie('woo_coupon_box')) {
                        htmlHeight = jQuery('html').prop('scrollHeight') || jQuery('body').prop('scrollHeight');
                        scrollHeight = window.innerHeight;
                        scrollTop = jQuery('html').prop('scrollTop') || jQuery('body').prop('scrollTop');
                        if (htmlHeight > 0) {
                            scrollRate = (scrollTop + scrollHeight) * 100 / (htmlHeight);
                            if (scrollRate > wcb_params.wcb_popup_scroll) {
                                couponBoxShow();
                            }
                        }
                    }
                });
                break;
            case 'exit':
                jQuery(window).on('mousemove', function (event) {
                    var scrollTop = jQuery('html').prop('scrollTop') || jQuery('body').prop('scrollTop');
                    var pageY = event.pageY;
                    if (!getCookie('woo_coupon_box')) {
                        if (pageY - scrollTop < 10) {
                            couponBoxShow();
                        }
                    }
                })
        }
    }

}

function couponBoxShow() {
    if (!jQuery('#vi-md_wcb').hasClass('wcb-md-show')) {
        addEffect();
        if (wcb_params.wcb_popup_type && !jQuery('#vi-md_wcb').hasClass(wcb_params.wcb_popup_type)) {
            jQuery('#vi-md_wcb').addClass(wcb_params.wcb_popup_type);
        }
        jQuery(document).on('keyup', closeOnEsc);
        var currentTime = parseInt(wcb_params.wcb_current_time),
            wcb_expire = currentTime + parseInt(wcb_params.wcb_expire);
        // var currentTime=parseInt(wcb_params.wcb_current_time);
        jQuery('#vi-md_wcb').addClass('wcb-md-show');
        jQuery('html').addClass('wcb-html-scroll');
        setCookie('woo_coupon_box', 'shown:' + currentTime, wcb_expire);
        if (wcb_params.wcb_popup_position == 'left') {
            jQuery('.wcb-coupon-box-small-icon-wrap').addClass('wcb-coupon-box-small-icon-hide-left');
        } else {
            jQuery('.wcb-coupon-box-small-icon-wrap').addClass('wcb-coupon-box-small-icon-hide-right');
        }
    }
}

var LeafScene = function (el) {
    this.viewport = el;
    this.world = document.createElement('div');
    this.leaves = [];

    this.options = {
        numLeaves: 50,
        wind: {
            magnitude: 1.2,
            maxSpeed: 5,
            duration: 500,
            start: 0,
            speed: 0
        },
    };

    this.width = this.viewport.offsetWidth;
    this.height = this.viewport.offsetHeight;

    // animation helper
    this.timer = 0;

    this._resetLeaf = function (leaf) {

        // place leaf towards the top left
        leaf.x = this.width * 2 - Math.random() * this.width * 1.75;
        leaf.y = -10;
        leaf.z = Math.random() * 200;
        if (leaf.x > this.width) {
            leaf.x = this.width + 10;
            leaf.y = Math.random() * this.height / 2;
        }
        // at the start, the leaf can be anywhere
        if (this.timer == 0) {
            leaf.y = Math.random() * this.height;
        }

        // Choose axis of rotation.
        // If axis is not X, chose a random static x-rotation for greater variability
        leaf.rotation.speed = Math.random() * 10;
        var randomAxis = Math.random();
        if (randomAxis > 0.5) {
            leaf.rotation.axis = 'X';
        } else if (randomAxis > 0.25) {
            leaf.rotation.axis = 'Y';
            leaf.rotation.x = Math.random() * 180 + 90;
        } else {
            leaf.rotation.axis = 'Z';
            leaf.rotation.x = Math.random() * 360 - 180;
            // looks weird if the rotation is too fast around this axis
            leaf.rotation.speed = Math.random() * 3;
        }

        // random speed
        leaf.xSpeedVariation = Math.random() * 0.8 - 0.4;
        leaf.ySpeed = Math.random() + 1.5;

        return leaf;
    }

    this._updateLeaf = function (leaf) {
        var leafWindSpeed = this.options.wind.speed(this.timer - this.options.wind.start, leaf.y);

        var xSpeed = leafWindSpeed + leaf.xSpeedVariation;
        leaf.x -= xSpeed;
        leaf.y += leaf.ySpeed;
        leaf.rotation.value += leaf.rotation.speed;

        var t = 'translateX( ' + leaf.x + 'px ) translateY( ' + leaf.y + 'px ) translateZ( ' + leaf.z + 'px )  rotate' + leaf.rotation.axis + '( ' + leaf.rotation.value + 'deg )';
        if (leaf.rotation.axis !== 'X') {
            t += ' rotateX(' + leaf.rotation.x + 'deg)';
        }
        leaf.el.style.webkitTransform = t;
        leaf.el.style.MozTransform = t;
        leaf.el.style.oTransform = t;
        leaf.el.style.transform = t;

        // reset if out of view
        if (leaf.x < -10 || leaf.y > this.height + 10) {
            this._resetLeaf(leaf);
        }
    }

    this._updateWind = function () {
        // wind follows a sine curve: asin(b*time + c) + a
        // where a = wind magnitude as a function of leaf position, b = wind.duration, c = offset
        // wind duration should be related to wind magnitude, e.g. higher windspeed means longer gust duration

        if (this.timer === 0 || this.timer > (this.options.wind.start + this.options.wind.duration)) {

            this.options.wind.magnitude = Math.random() * this.options.wind.maxSpeed;
            this.options.wind.duration = this.options.wind.magnitude * 50 + (Math.random() * 20 - 10);
            this.options.wind.start = this.timer;

            var screenHeight = this.height;

            this.options.wind.speed = function (t, y) {
                // should go from full wind speed at the top, to 1/2 speed at the bottom, using leaf Y
                var a = this.magnitude / 2 * (screenHeight - 2 * y / 3) / screenHeight;
                return a * Math.sin(2 * Math.PI / this.duration * t + (3 * Math.PI / 2)) + a;
            }
        }
    }
}

LeafScene.prototype.init = function () {

    for (var i = 0; i < this.options.numLeaves; i++) {
        var leaf = {
            el: document.createElement('div'),
            x: 0,
            y: 0,
            z: 0,
            rotation: {
                axis: 'X',
                value: 0,
                speed: 0,
                x: 0
            },
            xSpeedVariation: 0,
            ySpeed: 0,
            path: {
                type: 1,
                start: 0,

            },
            image: 1
        };
        this._resetLeaf(leaf);
        this.leaves.push(leaf);
        this.world.appendChild(leaf.el);
    }

    this.world.className = 'wcb-leaf-scene';
    this.viewport.appendChild(this.world);

    // set perspective
    this.world.style.webkitPerspective = "400px";
    this.world.style.MozPerspective = "400px";
    this.world.style.oPerspective = "400px";
    this.world.style.perspective = "400px";

    // reset window height/width on resize
    var self = this;
    window.onresize = function (event) {
        self.width = self.viewport.offsetWidth;
        self.height = self.viewport.offsetHeight;
    };
}

LeafScene.prototype.render = function () {
    this._updateWind();
    for (var i = 0; i < this.leaves.length; i++) {
        this._updateLeaf(this.leaves[i]);
    }

    this.timer++;

    requestAnimationFrame(this.render.bind(this));
}
