'use strict';
jQuery(document).ready(function ($) {
    let isIE = /*@cc_on!@*/false || !!document.documentMode;
    if (!isIE) {
        popup_hide();
        delay_show_modal();
        init_button();
        $(document).on('keypress', function (e) {
            if ($('#vi-md_wcb').hasClass('wcb-md-show') && !$('#vi-md_wcb').hasClass('wcb-collapse-after-close') && e.keyCode === 13) {
                $('.wcb-button').click();
            }
        })
        $('.wcb-email').on('keypress', function (e) {
            $('#vi-md_wcb').find('.wcb-warning-message-wrap').css({'visibility': 'hidden', 'opacity': 0});
        });
        $('#vi-md_wcb').find('input').on('click', function () {
            $('#vi-md_wcb').find('.wcb-warning-message-wrap').css({'visibility': 'hidden', 'opacity': 0});
        });
        $('.wcb-gdpr-checkbox').on('click', function () {
            if ($(this).prop('checked')) {
                $(this).removeClass('wcb-warning-checkbox');
            } else {
                $(this).addClass('wcb-warning-checkbox');
            }
        });
        callCouponBoxAgain();
        $('.wcb-coupon-box-small-icon-close').on('click', function (e) {
            e.stopPropagation();
            if (wcb_params.wcb_popup_position === 'left') {
                $('.wcb-coupon-box-small-icon-wrap').addClass('wcb-coupon-box-small-icon-hide-left');
            } else {
                $('.wcb-coupon-box-small-icon-wrap').addClass('wcb-coupon-box-small-icon-hide-right');
            }
            var currentTime = parseInt(wcb_params.wcb_current_time),
                wcb_expire = currentTime + parseInt(wcb_params.wcb_expire);
            setCookie('woo_coupon_box', 'closed:' + currentTime, wcb_expire);
        })
        var prevScrollpos = jQuery('html').prop('scrollTop') || jQuery('body').prop('scrollTop');
        window.onscroll = function () {
            if (wcb_params.wcb_on_close == 'top') {
                if ($('#vi-md_wcb').hasClass('wcb-collapse-after-close')) {
                    var currentScrollPos = jQuery('html').prop('scrollTop') || jQuery('body').prop('scrollTop');
                    if (prevScrollpos < currentScrollPos) {
                        $('.wcb-collapse-top').css({'top': 0})
                    } else {
                        $('.wcb-collapse-top').css({'top': '-' + $('.wcb-collapse-top').css('height')})
                    }
                    prevScrollpos = currentScrollPos;
                }
            } else if (wcb_params.wcb_on_close == 'bottom') {

                if ($('#vi-md_wcb').hasClass('wcb-collapse-after-close')) {
                    var currentScrollPos = jQuery('html').prop('scrollTop') || jQuery('body').prop('scrollTop');
                    if (prevScrollpos > currentScrollPos) {
                        $('.wcb-collapse-bottom').css({'bottom': 0})
                    } else {
                        $('.wcb-collapse-bottom').css({'bottom': '-' + $('.wcb-collapse-bottom').css('height')})
                    }
                    prevScrollpos = currentScrollPos;
                }
            }
        }
    }
});

function callCouponBoxAgain() {
    jQuery('.wcb-coupon-box-small-icon-wrap').on('click', function () {
        addEffect();
        if (wcb_params.wcb_popup_type && !jQuery('#vi-md_wcb').hasClass(wcb_params.wcb_popup_type)) {
            jQuery('#vi-md_wcb').addClass(wcb_params.wcb_popup_type);
        }
        jQuery(document).on('keyup', closeOnEsc);
        jQuery('#vi-md_wcb').addClass('wcb-md-show');
        jQuery('html').addClass('wcb-html-scroll');
        if (wcb_params.wcb_popup_position == 'left') {
            jQuery(this).addClass('wcb-coupon-box-small-icon-hide-left');
        } else {
            jQuery(this).addClass('wcb-coupon-box-small-icon-hide-right');
        }
    })
}

function addEffect() {
    Snowflake.init(jQuery('.wcb-falling-snow')[0]);
}

function popup_hide() {
    jQuery('.wcb-md-close').on('click', function () {
        jQuery('#vi-md_wcb').find('.wcb-warning-message').html('');
        jQuery('#vi-md_wcb').find('.wcb-warning-message-wrap').css({'visibility': 'hidden', 'opacity': 0});
        if (!jQuery('#vi-md_wcb').hasClass('wcb-subscribed')) {
            switch (wcb_params.wcb_on_close) {
                case 'top':
                    if (jQuery('#vi-md_wcb').hasClass('wcb-collapse-after-close')) {
                        /*Popup icons to call coupon box again*/
                        if (wcb_params.wcb_popup_position == 'left') {
                            jQuery('.wcb-coupon-box-small-icon-wrap').removeClass('wcb-coupon-box-small-icon-hide-left');
                        } else {
                            jQuery('.wcb-coupon-box-small-icon-wrap').removeClass('wcb-coupon-box-small-icon-hide-right');
                        }

                        jQuery('#vi-md_wcb').removeClass('wcb-md-show').removeClass('wcb-collapse-after-close').removeClass('wcb-collapse-top');
                        if (wcb_params.wcb_popup_type && !jQuery('#vi-md_wcb').hasClass(wcb_params.wcb_popup_type)) {
                            setTimeout(function () {
                                jQuery('#vi-md_wcb').addClass(wcb_params.wcb_popup_type);
                            }, 300)
                        }
                        var addedStyle = jQuery('#vi-md_wcb').attr('style') ? jQuery('#vi-md_wcb').attr('style') : '';
                        if (addedStyle.length) {
                            var arr = addedStyle.split(';');
                            for (var i = 0; i < arr.length; i++) {
                                if (arr[i].length) {
                                    var arr1 = arr[i].split(':');
                                    if (arr1[0] === 'top') {
                                        arr.splice(i, 1);
                                    }
                                }
                            }
                            addedStyle = arr.join(';');
                            jQuery('#vi-md_wcb').attr('style', addedStyle);
                        }
                    } else {
                        jQuery('#vi-md_wcb').addClass('wcb-collapse-after-close').addClass('wcb-collapse-top');
                        jQuery('html').removeClass('wcb-html-scroll');
                        var xr = jQuery('.wcb-md-overlay').attr('class').split(' ');
                        if (xr.length > 1) {
                            jQuery('.wcb-md-overlay').removeClass(xr[1]).html('').addClass(xr[1]);
                        }
                        if (wcb_params.wcb_popup_type && jQuery('#vi-md_wcb').hasClass(wcb_params.wcb_popup_type)) {
                            jQuery('#vi-md_wcb').removeClass(wcb_params.wcb_popup_type);
                        }
                    }
                    break;
                case 'bottom':
                    if (jQuery('#vi-md_wcb').hasClass('wcb-collapse-after-close')) {
                        /*Popup icons to call coupon box again*/
                        if (wcb_params.wcb_popup_position == 'left') {
                            jQuery('.wcb-coupon-box-small-icon-wrap').removeClass('wcb-coupon-box-small-icon-hide-left');
                        } else {
                            jQuery('.wcb-coupon-box-small-icon-wrap').removeClass('wcb-coupon-box-small-icon-hide-right');
                        }

                        jQuery('#vi-md_wcb').removeClass('wcb-md-show').removeClass('wcb-collapse-after-close').removeClass('wcb-collapse-bottom');
                        if (wcb_params.wcb_popup_type && !jQuery('#vi-md_wcb').hasClass(wcb_params.wcb_popup_type)) {
                            setTimeout(function () {
                                jQuery('#vi-md_wcb').addClass(wcb_params.wcb_popup_type);
                            }, 300)
                        }
                        var addedStyle = jQuery('#vi-md_wcb').attr('style') ? jQuery('#vi-md_wcb').attr('style') : '';
                        if (addedStyle.length) {
                            var arr = addedStyle.split(';');
                            for (var i = 0; i < arr.length; i++) {
                                if (arr[i].length) {
                                    var arr1 = arr[i].split(':');
                                    if (arr1[0] === 'bottom') {
                                        arr.splice(i, 1);
                                    }
                                }
                            }
                            addedStyle = arr.join(';');
                            jQuery('#vi-md_wcb').attr('style', addedStyle);
                        }
                    } else {
                        jQuery('#vi-md_wcb').addClass('wcb-collapse-after-close').addClass('wcb-collapse-bottom');
                        jQuery('html').removeClass('wcb-html-scroll');
                        var xr = jQuery('.wcb-md-overlay').attr('class').split(' ');
                        if (xr.length > 1) {
                            jQuery('.wcb-md-overlay').removeClass(xr[1]).html('').addClass(xr[1]);
                        }
                        if (wcb_params.wcb_popup_type && jQuery('#vi-md_wcb').hasClass(wcb_params.wcb_popup_type)) {
                            jQuery('#vi-md_wcb').removeClass(wcb_params.wcb_popup_type);
                        }
                    }
                    break;
                default:
                    /*Popup icons to call coupon box again*/
                    if (wcb_params.wcb_popup_position == 'left') {
                        jQuery('.wcb-coupon-box-small-icon-wrap').removeClass('wcb-coupon-box-small-icon-hide-left');
                    } else {
                        jQuery('.wcb-coupon-box-small-icon-wrap').removeClass('wcb-coupon-box-small-icon-hide-right');
                    }

                    jQuery('#vi-md_wcb').removeClass('wcb-md-show');
                    jQuery('html').removeClass('wcb-html-scroll');
                    var xr = jQuery('.wcb-md-overlay').attr('class').split(' ');
                    if (xr.length > 1) {
                        jQuery('.wcb-md-overlay').removeClass(xr[1]).html('').addClass(xr[1]);
                    }
            }
        } else {
            jQuery('#vi-md_wcb').removeClass('wcb-md-show');
            jQuery('html').removeClass('wcb-html-scroll');
            var xr = jQuery('.wcb-md-overlay').attr('class').split(' ');
            if (xr.length > 1) {
                jQuery('.wcb-md-overlay').removeClass(xr[1]).html('').addClass(xr[1]);
            }
        }

        jQuery(document).unbind('keyup', closeOnEsc);

    });
    jQuery('.wcb-md-overlay').on('click', function () {
        jQuery('.wcb-md-close').click();
    });
}

function closeOnEsc(e) {
    if (jQuery('#vi-md_wcb').hasClass('wcb-md-show') && e.keyCode === 27) {
        jQuery('.wcb-md-close').click();
    }
}

function isValidEmailAddress(emailAddress) {
    var pattern = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/i;
    return pattern.test(emailAddress);
}

function init_button() {
    var container = jQuery('#vi-md_wcb');
    container.find('.wcb-button').unbind('click').on('click', function () {
        var email = container.find('.wcb-email').val(),
            wcb_input_name = container.find('.wcb-input-name').val(),
            wcb_input_lname = container.find('.wcb-input-lname').val(),
            wcb_input_mobile = container.find('.wcb-input-mobile').val(),
            wcb_input_birthday = container.find('.wcb-input-birthday').val(),
            wcb_input_gender = container.find('.wcb-input-gender').val(),
            button = jQuery(this);
        container.find('.wcb-email').removeClass('wcb-invalid-email');
        container.find('.wcb-warning-message-wrap').css({'visibility': 'hidden', 'opacity': 0});
        container.find('.wcb-gdpr-checkbox').removeClass('wcb-warning-checkbox');
        if (!container.hasClass('wcb-collapse-after-close')) {
            if (wcb_params.wcb_input_name == 1 && wcb_params.wcb_input_name_required == 1 && !wcb_input_name) {
                container.find('.wcb-input-name').addClass('wcb-invalid-email').focus();
                return false;
            } else {
                container.find('.wcb-input-name').removeClass('wcb-invalid-email');
            }
            if (wcb_params.wcb_input_lname == 1 && wcb_params.wcb_input_lname_required == 1 && !wcb_input_lname) {
                container.find('.wcb-input-lname').addClass('wcb-invalid-email').focus();
                return false;
            } else {
                container.find('.wcb-input-lname').removeClass('wcb-invalid-email');
            }
            if (wcb_params.wcb_input_mobile == 1 && wcb_params.wcb_input_mobile_required == 1 && !wcb_input_mobile) {
                container.find('.wcb-input-mobile').addClass('wcb-invalid-email').focus();
                return false;
            } else {
                container.find('.wcb-input-mobile').removeClass('wcb-invalid-email');
            }
            if (wcb_params.wcb_input_birthday == 1 && wcb_params.wcb_input_birthday_required == 1 && !wcb_input_birthday) {
                container.find('.wcb-input-birthday').addClass('wcb-invalid-email').focus();
                return false;
            } else {
                container.find('.wcb-input-birthday').removeClass('wcb-invalid-email');
            }
            if (wcb_params.wcb_input_gender == 1 && wcb_params.wcb_input_gender_required == 1 && !wcb_input_gender) {
                container.find('.wcb-input-gender').addClass('wcb-invalid-email').focus();
                return false;
            } else {
                container.find('.wcb-input-gender').removeClass('wcb-invalid-email');
            }
        }

        if (isValidEmailAddress(email)) {
            if (wcb_params.wcb_gdpr_checkbox && container.find('.wcb-gdpr-checkbox').prop('checked') !== true) {
                container.find('.wcb-gdpr-checkbox').addClass('wcb-warning-checkbox').focus();
                return false;
            }
            container.find('.wcb-email').removeClass('wcb-invalid-email');
            button.addClass('wcb-adding');
            button.unbind();

            jQuery.ajax({
                type: 'POST',
                dataType: 'json',
                url: wcb_params.ajaxurl,
                data: {
                    email: email,
                    wcb_input_name: wcb_input_name,
                    wcb_input_lname: wcb_input_lname,
                    wcb_input_mobile: wcb_input_mobile,
                    wcb_input_birthday: wcb_input_birthday,
                    wcb_input_gender: wcb_input_gender,
                },
                success: function (response) {
                    button.removeClass('wcb-adding');
                    if (response.status === 'subscribed') {
                        if (wcb_params.wcb_layout != 3) {
                            container.find('.wcb-coupon-box-title').html(wcb_params.wcb_title_after_subscribing);
                        } else {
                            container.find('.wcb-coupon-box-title').html('').hide();
                        }
                        if (container.hasClass('wcb-collapse-after-close')) {
                            if (wcb_params.wcb_show_coupon && response.code) {
                                container.find('.wcb-coupon-content').html(response.code).css({'width': '40%'});
                                container.find('.wcb-coupon-treasure').focus(function () {
                                    jQuery(this).select();
                                });
                            } else {
                                container.find('.wcb-coupon-message').css({'width': '90%'});
                            }
                            container.find('.wcb-coupon-box-newsletter').hide();
                            container.find('.wcb-coupon-message').html(response.message);
                        } else {
                            if (wcb_params.wcb_show_coupon && response.code) {
                                container.find('.wcb-coupon-content').html(response.code);
                                container.find('.wcb-coupon-treasure').focus(function () {
                                    jQuery(this).select();
                                });
                            }
                            container.find('.wcb-coupon-box-newsletter').html(response.thankyou);
                            container.find('.wcb-coupon-message').html(response.message);
                        }
                        container.addClass('wcb-subscribed');
                        var currentTime = parseInt(wcb_params.wcb_current_time),
                            wcb_expire_subscribed = currentTime + parseInt(wcb_params.wcb_expire_subscribed);
                        setCookie('woo_coupon_box', 'subscribed:' + currentTime, wcb_expire_subscribed);
                    } else {
                        container.find('.wcb-warning-message').html(response.warning);
                        container.find('.wcb-warning-message-wrap').css({'visibility': 'visible', 'opacity': 1});
                        container.find('.wcb-email').addClass('wcb-invalid-email').focus();
                        init_button();
                    }
                },
                error: function (data) {
                    button.removeClass('wcb-adding');
                    init_button();
                    setCookie('woo_coupon_box', '', -1);
                }
            });
        } else {
            if (!email) {
                container.find('.wcb-warning-message').html(wcb_params.wcb_empty_email_warning);
                container.find('.wcb-warning-message-wrap').css({'visibility': 'visible', 'opacity': 1});
            } else {
                container.find('.wcb-warning-message').html(wcb_params.wcb_invalid_email_warning);
                container.find('.wcb-warning-message-wrap').css({'visibility': 'visible', 'opacity': 1});
            }
            container.find('.wcb-email').addClass('wcb-invalid-email').focus();
            button.removeClass('wcb-adding');
        }
    })
}


/**
 * Set Cookie
 * @param name
 * @param value
 * @param exdays
 */

function setCookie(cname, cvalue, expire, path, domain) {
    if (!path) {
        path = '/';
    }
    domain = domain || "";
    var d = new Date(expire * 1000);
    var expires = "expires=" + d.toUTCString();
    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=" + path + ";domain=" + domain;
}

/**
 * Set Cookie
 * @param cname
 * @returns {*}
 */
function getCookie(cname) {
    var name = cname + "=";
    var ca = document.cookie.split(';');
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') c = c.substring(1);
        if (c.indexOf(name) == 0) return c.substring(name.length, c.length);
    }
    return "";
}

function delay_show_modal() {
    if (!getCookie('woo_coupon_box') && !jQuery('#vi-md_wcb').hasClass('wcb-md-show')) {

        switch (wcb_params.wcb_select_popup) {
            case 'time':
                setTimeout(function () {
                    couponBoxShow();
                }, wcb_params.wcb_popup_time * 1000);
                break;
            case 'scroll':
                var htmlHeight, scrollHeight, scrollTop, scrollRate;
                jQuery(document).on('scroll', function () {
                    if (!getCookie('woo_coupon_box')) {
                        htmlHeight = jQuery('html').prop('scrollHeight') || jQuery('body').prop('scrollHeight');
                        scrollHeight = window.innerHeight;
                        scrollTop = jQuery('html').prop('scrollTop') || jQuery('body').prop('scrollTop');
                        if (htmlHeight > 0) {
                            scrollRate = (scrollTop + scrollHeight) * 100 / (htmlHeight);
                            if (scrollRate > wcb_params.wcb_popup_scroll) {
                                couponBoxShow();
                            }
                        }
                    }
                });
                break;
            case 'exit':
                jQuery(window).on('mousemove', function (event) {
                    var scrollTop = jQuery('html').prop('scrollTop') || jQuery('body').prop('scrollTop');
                    var pageY = event.pageY;
                    if (!getCookie('woo_coupon_box')) {
                        if (pageY - scrollTop < 10) {
                            couponBoxShow();
                        }
                    }
                })
        }
    }

}

function couponBoxShow() {
    if (!jQuery('#vi-md_wcb').hasClass('wcb-md-show')) {
        addEffect();
        if (wcb_params.wcb_popup_type && !jQuery('#vi-md_wcb').hasClass(wcb_params.wcb_popup_type)) {
            jQuery('#vi-md_wcb').addClass(wcb_params.wcb_popup_type);
        }
        jQuery(document).on('keyup', closeOnEsc);
        var currentTime = parseInt(wcb_params.wcb_current_time),
            wcb_expire = currentTime + parseInt(wcb_params.wcb_expire);
        // var currentTime=parseInt(wcb_params.wcb_current_time);
        jQuery('#vi-md_wcb').addClass('wcb-md-show');
        jQuery('html').addClass('wcb-html-scroll');
        setCookie('woo_coupon_box', 'shown:' + currentTime, wcb_expire);
        if (wcb_params.wcb_popup_position == 'left') {
            jQuery('.wcb-coupon-box-small-icon-wrap').addClass('wcb-coupon-box-small-icon-hide-left');
        } else {
            jQuery('.wcb-coupon-box-small-icon-wrap').addClass('wcb-coupon-box-small-icon-hide-right');
        }
    }
}

var Snowflake = (function () {

    var flakes;
    var flakesTotal = 250;
    var wind = 0;
    var mouseX;
    var mouseY;

    function Snowflake(size, x, y, vx, vy) {
        this.size = size;
        this.x = x;
        this.y = y;
        this.vx = vx;
        this.vy = vy;
        this.hit = false;
        this.melt = false;
        this.div = document.createElement('div');
        this.div.classList.add('wcb-snowflake');
        this.div.style.width = this.size + 'px';
        this.div.style.height = this.size + 'px';
    }

    Snowflake.prototype.move = function () {
        if (this.hit) {
            if (Math.random() > 0.995) this.melt = true;
        } else {
            this.x += this.vx + Math.min(Math.max(wind, -10), 10);
            this.y += this.vy;
        }

        // Wrap the snowflake to within the bounds of the page
        if (this.x > window.innerWidth + this.size) {
            this.x -= window.innerWidth + this.size;
        }

        if (this.x < -this.size) {
            this.x += window.innerWidth + this.size;
        }

        if (this.y > window.innerHeight + this.size) {
            this.x = Math.random() * window.innerWidth;
            this.y -= window.innerHeight + this.size * 2;
            this.melt = false;
        }

        var dx = mouseX - this.x;
        var dy = mouseY - this.y;
        this.hit = !this.melt && this.y < mouseY && dx * dx + dy * dy < 2400;
    };

    Snowflake.prototype.draw = function () {
        this.div.style.transform =
            this.div.style.MozTransform =
                this.div.style.webkitTransform =
                    'translate3d(' + this.x + 'px' + ',' + this.y + 'px,0)';
    };

    function update() {
        for (var i = flakes.length; i--;) {
            var flake = flakes[i];
            flake.move();
            flake.draw();
        }
        requestAnimationFrame(update);
    }

    Snowflake.init = function (container) {
        flakes = [];

        for (var i = flakesTotal; i--;) {
            var size = (Math.random() + 0.2) * 12 + 1;
            var flake = new Snowflake(
                size,
                Math.random() * window.innerWidth,
                Math.random() * window.innerHeight,
                Math.random() - 0.5,
                size * 0.3
            );
            container.appendChild(flake.div);
            flakes.push(flake);
        }

        container.onmousemove = function (event) {
            mouseX = event.clientX;
            mouseY = event.clientY;
            wind = (mouseX - window.innerWidth / 2) / window.innerWidth * 6;
        };

        container.ontouchstart = function (event) {
            mouseX = event.targetTouches[0].clientX;
            mouseY = event.targetTouches[0].clientY;
            event.preventDefault();
        };

        window.ondeviceorientation = function (event) {
            if (event) {
                wind = event.gamma / 10;
            }
        };

        update();
    };

    return Snowflake;

}());
